> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/management-api/license/scheduled-updates/list-scheduled-updates.md).

# List Scheduled Updates

Show all Scheduled Updates for Licenses the requesting manager has access permissions to.

A Scheduled Update is a set of changes (`scheduled_update_data`) that is applied to a single License at a given time (`scheduled_at`). Pending updates are applied by a background job once `scheduled_at` is reached.

**URL**: `/api/v1/scheduled-updates/`

**Method**: `GET`

## Query parameters

### Ordering

* `order_by` — Which attribute to order the list by.
  * Default ordering is ascending and can be made descending by prefixing the attribute name with `-`.
  * Default ordering is by `scheduled_at`, then `created_at`.
  * Example: `order_by=scheduled_at`
  * Example: `order_by=-created_at`

Possible ordering attributes: `id`, `license`, `created_at`, `scheduled_at`, `status`, `applied_at`, `cancelled_at`, `failed_at`, `name`, `note`

### Pagination

Default pagination is 20 results per page.

| Parameter | Description                                         | Example     |
| --------- | --------------------------------------------------- | ----------- |
| `limit`   | Number of results to return per page.               | `limit=20`  |
| `offset`  | The initial index from which to return the results. | `offset=21` |

### Filtering

The results can be filtered by various attributes on scheduled update or related to the scheduled update.

If available, additional suffixes can be appended to attributes which further define the filter:

1. `__gt`, `__gte`, `__lt`, `__lte` — Value is greater than, greater than or equal to, less than, or less than or equal to the attribute.

| Filter                 | Description                                                                                                                                                  | Values / Example                                                                                                                                                    |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id__in`               | Comma-separated list of ids.                                                                                                                                 | `id__in=412,413,420`                                                                                                                                                |
| `license`              | License id.                                                                                                                                                  | `license=1593781720493289`                                                                                                                                          |
| `license__id__in`      | Comma-separated list of License ids.                                                                                                                         | `license__id__in=1593781720493289,1597395059215709`                                                                                                                 |
| `status`               | Scheduled update status.                                                                                                                                     | `pending`, `applied`, `cancelled`, `failed`                                                                                                                         |
| `scheduled_at`         | Scheduled update date and time.                                                                                                                              |                                                                                                                                                                     |
| `scheduled_at__gt`     | Scheduled update date and time is greater than the value.                                                                                                    |                                                                                                                                                                     |
| `scheduled_at__gte`    | Scheduled update date and time is greater than or equal to the value.                                                                                        | `scheduled_at__gte=2026-11-01T00:00:00Z`                                                                                                                            |
| `scheduled_at__lt`     | Scheduled update date and time is less than the value.                                                                                                       |                                                                                                                                                                     |
| `scheduled_at__lte`    | Scheduled update date and time is less than or equal to the value.                                                                                           |                                                                                                                                                                     |
| `action`               | Scheduled updates containing at least one item with this action.                                                                                             | `license-update`, `license-reset`, `license-product-feature-update`, `license-product-feature-delete`, `license-custom-field-update`, `license-custom-field-delete` |
| `product_feature`      | Scheduled updates containing at least one item targeting this Product Feature id.                                                                            |                                                                                                                                                                     |
| `product_custom_field` | Scheduled updates containing at least one item targeting this Product Custom Field id.                                                                       |                                                                                                                                                                     |
| `search`               | Case-insensitive substring match on any of: license key, customer email, product name, product short code, scheduled update `name`, scheduled update `note`. | `search=acme`                                                                                                                                                       |

## Success Response

**Code**: `200 OK`

**Content examples**:

```json
{
    "count": 2,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 412,
            "license": 1593781720493289,
            "created_at": "2026-10-20T09:14:02.118274Z",
            "scheduled_at": "2026-11-01T00:00:00Z",
            "status": "pending",
            "applied_at": null,
            "cancelled_at": null,
            "failed_at": null,
            "name": "Q4 renewal",
            "note": "Extend validity and raise feature limit",
            "scheduled_update_data": [
                {
                    "id": 981,
                    "action": "license-update",
                    "product_feature": null,
                    "product_custom_field": null,
                    "update_data": {
                        "validity_period": "2027-11-01",
                        "max_activations": 10
                    },
                    "error_message": null
                },
                {
                    "id": 982,
                    "action": "license-product-feature-update",
                    "product_feature": {
                        "id": 173,
                        "name": "Feature 3",
                        "code": "f3"
                    },
                    "product_custom_field": null,
                    "update_data": {
                        "max_consumption": 100
                    },
                    "error_message": null
                }
            ]
        },
        {
            "id": 415,
            "license": 1597395059215709,
            "created_at": "2026-10-18T13:40:26.402119Z",
            "scheduled_at": "2026-10-19T08:00:00Z",
            "status": "failed",
            "applied_at": null,
            "cancelled_at": null,
            "failed_at": "2026-10-19T08:00:04.551870Z",
            "name": null,
            "note": null,
            "scheduled_update_data": [
                {
                    "id": 990,
                    "action": "license-custom-field-delete",
                    "product_feature": null,
                    "product_custom_field": {
                        "id": 58,
                        "name": "Region"
                    },
                    "update_data": {},
                    "error_message": "This custom field is not assigned to the license."
                }
            ]
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/management-api/license/scheduled-updates/list-scheduled-updates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
